Last Comment Bug 714347 - pymake: $(sort) should remove duplicates
: pymake: $(sort) should remove duplicates
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla12
Assigned To: Ted Mielczarek [:ted.mielczarek]
:
Mentors:
http://www.gnu.org/software/make/manu...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-30 13:25 PST by Ted Mielczarek [:ted.mielczarek]
Modified: 2012-01-04 07:47 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
pymake sort function should remove duplicates. (1.36 KB, patch)
2011-12-30 13:27 PST, Ted Mielczarek [:ted.mielczarek]
khuey: review+
Details | Diff | Splinter Review

Description Ted Mielczarek [:ted.mielczarek] 2011-12-30 13:25:39 PST
The GNU Make manual says:
"$(sort list)
    Sorts the words of list in lexical order, removing duplicate words. The output is a list of words separated by single spaces."
Comment 1 Ted Mielczarek [:ted.mielczarek] 2011-12-30 13:27:30 PST
Created attachment 585034 [details] [diff] [review]
pymake sort function should remove duplicates.

Pretty simple patch, all tests pass with this applied.
Comment 2 Ted Mielczarek [:ted.mielczarek] 2011-12-31 04:59:56 PST
http://hg.mozilla.org/users/bsmedberg_mozilla.com/pymake/rev/0fdfecdb0567

I'll push to b-s soon.
Comment 3 Ted Mielczarek [:ted.mielczarek] 2012-01-03 10:15:10 PST
http://hg.mozilla.org/projects/build-system/rev/787e8f478ba5
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-01-04 07:47:26 PST
https://hg.mozilla.org/mozilla-central/rev/787e8f478ba5

Note You need to log in before you can comment on or make changes to this bug.